package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 地区表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-17
 */
@ApiModel(value="CostDistrict对象", description="地区表")
public class CostDistrict extends BaseModel<CostDistrict> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "区划信息id")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonProperty("id")
    private Integer id;
    
    @ApiModelProperty(value = "父级挂接id")
    @TableField("pid")
    @JsonProperty("pid")
    private Integer pid;
    
    @ApiModelProperty(value = "区划编码")
    @TableField("code")
    @JsonProperty("code")
    private String code;
    
    @ApiModelProperty(value = "区划名称")
    @TableField("name")
    @JsonProperty("name")
    private String name;
    
    @ApiModelProperty(value = "备注")
    @TableField("remark")
    @JsonProperty("remark")
    private String remark;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "状态 0 正常 -2 删除 -1 停用")
    @TableField("status")
    @JsonProperty("status")
    private Integer status;
    
    @ApiModelProperty(value = "级次id 0:省/自治区/直辖市 1:市级 2:县级")
    @TableField("level")
    @JsonProperty("level")
    private Integer level;
    

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getPid() {
        return pid;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostDistrict{" +
            "id=" + id +
            ", pid=" + pid +
            ", code=" + code +
            ", name=" + name +
            ", remark=" + remark +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
            ", status=" + status +
            ", level=" + level +
        "}";
    }
}
